Merge pull request #17 from dalf/no_script

Remove scripts
pull/22/head
Alexandre Flament 2 years ago committed by GitHub
commit ba1569dafb
No known key found for this signature in database
GPG Key ID: 4AEE18F83AFDEB23

@ -13,7 +13,6 @@ Create a new SearXNG instance in five minutes using Docker
## How to use it
- [Install docker](https://docs.docker.com/install/)
- [Install docker-compose](https://docs.docker.com/compose/install/) (be sure that docker-compose version is at least 1.9.0)
- only on MacOSX: ```brew install coreutils``` to install ```greadlink```
- Get searxng-docker
```sh
cd /usr/local
@ -23,7 +22,13 @@ Create a new SearXNG instance in five minutes using Docker
- Edit the [.env](https://github.com/searxng/searxng-docker/blob/master/.env) file to set the hostname and an email
- Generate the secret key ```sed -i "s|ultrasecretkey|$(openssl rand -hex 32)|g" searxng/settings.yml```
- Edit the [searxng/settings.yml](https://github.com/searxng/searxng-docker/blob/master/searxng/settings.yml) file according to your need
- Check everything is working: ```./start.sh```
- Check everything is working: ```docker-compose up```
- Run SearXNG in the background: ```docker-compose up -d```
### Start SearXNG with systemd
You can skip this step if you don't use systemd.
- ```cp searxng-docker.service.template searxng-docker.service```
- edit the content of ```WorkingDirectory``` in the ```searxng-docker.service``` file (only if the installation path is different from /usr/local/searxng-docker)
- Install the systemd unit:
@ -40,16 +45,6 @@ The default [Content-Security-Policy](https://developer.mozilla.org/en-US/docs/W
If some users wants to disable the image proxy, you have to modify [./Caddyfile](https://github.com/searxng/searxng-docker/blob/master/Caddyfile). Replace the ```img-src 'self' data: https://*.tile.openstreetmap.org;``` by ```img-src * data:;```.
## Custom docker-compose.yaml
Do not modify docker-compose.yaml otherwise you won't be able to update easily from the git repository.
It is possible to use the [extend feature](https://docs.docker.com/compose/extends/) of docker-compose:
- stop the service: ```systemctl stop searxng-docker.service```
- create a new docker-compose-extend.yaml, check with ```start.sh```
- update searxng-docker.service (see SEARXNG_DOCKERCOMPOSEFILE)
- restart the service: ```systemctl restart searxng-docker.service```
## Multi Architecture Docker images
Supported architecture:
@ -59,4 +54,14 @@ Supported architecture:
## How to update ?
Check the content of [```update.sh```](https://github.com/searxng/searxng-docker/blob/master/update.sh)
To update the SearXNG stack:
```sh
docker-compose pull
docker-compose down
docker-compose up
```
To update this `docker-compose.yml` file:
Check out the newest version on github: [searxng/searxng-docker](https://github.com/searxng/searxng-docker).

@ -37,7 +37,6 @@ services:
searxng:
container_name: searxng
image: searxng/searxng:latest
restart: always
networks:
- searxng
ports:

@ -4,13 +4,13 @@ Requires=docker.service
After=docker.service
[Service]
Restart=always
Restart=on-failure
Environment=SEARXNG_DIR=/usr/local/searxng-docker
Environment=SEARXNG_DOCKERCOMPOSEFILE=docker-compose.yaml
ExecStart=/bin/sh -c "${SEARXNG_DIR}/start.sh"
ExecStop=/bin/sh -c "${SEARXNG_DIR}/stop.sh"
WorkingDirectory=/usr/local/searxng-docker
ExecStart=/usr/local/bin/docker-compose -f ${SEARXNG_DOCKERCOMPOSEFILE} up --remove-orphans
ExecStop=/usr/local/bin/docker-compose -f ${SEARXNG_DOCKERCOMPOSEFILE} down
[Install]
WantedBy=multi-user.target

@ -1,11 +0,0 @@
#!/bin/sh
READLINK="$(which readlink greadlink | tail -n1)"
BASE_DIR="$(dirname -- "`$READLINK -f -- "$0"`")"
cd -- "$BASE_DIR"
. ./util.sh
$DOCKERCOMPOSE -f $DOCKERCOMPOSEFILE down
$DOCKERCOMPOSE -f $DOCKERCOMPOSEFILE rm -fv
$DOCKERCOMPOSE -f $DOCKERCOMPOSEFILE up

@ -1,9 +0,0 @@
#!/bin/sh
READLINK="$(which readlink greadlink | tail -n1)"
BASE_DIR="$(dirname -- "`$READLINK -f -- "$0"`")"
cd -- "$BASE_DIR"
. ./util.sh
$DOCKERCOMPOSE -f $DOCKERCOMPOSEFILE down

@ -1,93 +0,0 @@
#!/bin/sh
#
# Disclaimer: this is more a documentation than code to execute
#
# change if require
SERVICE_NAME="searxng-docker.service"
# change if require :
# fastforward : only fast-forward
# rebase : rebase with autostash, at your own risk
UPDATE_TYPE="fastforward"
READLINK="$(which readlink greadlink | tail -n1)"
BASE_DIR="$(dirname -- "`$READLINK -f -- "$0"`")"
cd -- "$BASE_DIR"
# check if git presence
if [ ! -x "$(which git)" ]; then
echo "git not found" 1>&2
exit 1
fi
# check if the current user owns the local git repository
git_owner=$(stat -c '%U' .git)
if [ "$git_owner" != "$(whoami)" ]; then
echo "The .git repository is own by $git_owner" 1>&2
exit 1
fi
# warning if the current branch is not master
current_branch=$(git rev-parse --abbrev-ref HEAD)
if [ "$current_branch" != "master" ]; then
echo "Warning: master won't be updated, only $current_branch"
fi
# git fetch first
git fetch origin master
# is everything already up-to-date ?
current_commit=$(git rev-parse $current_branch)
origin_master_commit=$(git rev-parse origin/master)
if [ "$current_commit" = "$origin_master_commit" ]; then
echo "Already up-to-date, commit $current_commit"
exit 0
fi
# docker stuff
SEARXNG_DOCKERCOMPOSE=$(grep "Environment=SEARXNG_DOCKERCOMPOSEFILE=" "$SERVICE_NAME" | awk -F\= '{ print $3 }')
. ./util.sh
if [ ! -x "$(which systemctl)" ]; then
echo "systemctl not found" 1>&2
exit 1
fi
# stop the systemd service now, because after the update
# the code might be out of sync with the current running services
systemctl stop "${SERVICE_NAME}"
# update
case "$UPDATE_TYPE" in
"fastforward")
git pull --ff-only origin master
;;
"rebase")
git pull --rebase --autostash origin master
;;
esac
# Check conflicts
if [ $(git ls-files -u | wc -l) -gt 0 ]; then
echo "There are git conflicts"
else
# update docker images
docker-compose -f $DOCKERCOMPOSEFILE pull
# remove dangling images
docker rmi $(docker images -f "dangling=true" -q)
# display SearxNG version
SEARXNG_IMAGE=$(cat $DOCKERCOMPOSEFILE | grep "searxng/searxng" | awk '{ print $2 }')
SEARXNG_VERSION=$(docker inspect -f '{{index .Config.Labels "org.label-schema.version"}}' $SEARXNG_IMAGE)
echo "SearXNG version: $SEARXNG_VERSION"
docker images --digests "searxng/*:latest"
# update SearxNG configuration
source ./.env
docker-compose -f $DOCKERCOMPOSEFILE run searxng ${SEARXNG_COMMAND} -d
# let the user see
echo "Use\nsystemctl start \"${SERVICE_NAME}\"\nto restart SearXNG"
fi

@ -1,26 +0,0 @@
set -e
DOCKERCOMPOSE=$(which docker-compose || echo "/usr/local/bin/docker-compose")
DOCKERCOMPOSEFILE="${DOCKERCOMPOSEFILE:-docker-compose.yaml}"
echo "use ${DOCKERCOMPOSEFILE}"
if [ ! -x "$(which docker)" ]; then
echo "docker not found" 1>&2
exit 1
fi
if ! docker version > /dev/null 2>&1; then
echo "can't execute docker (current user: $(whoami))" 1>&2
exit 1
fi
if [ ! -x "${DOCKERCOMPOSE}" ]; then
echo "docker-compose not found" 1>&2
exit 1
fi
if [ ! -f "${DOCKERCOMPOSEFILE}" ]; then
echo "${DOCKERCOMPOSEFILE} not found" 1>&2
exit 1
fi
Loading…
Cancel
Save